---
- name: Firewalld | Add firewalld services for slurmctl
  copy:
    src: slurmctl.xml
    dest: /etc/firewalld/services/
    owner: root
    group: root
    mode: 0644
  register: firewalld_slurmctl_service

- name: Firewalld | Add firewalld services for srun
  template:
    src: srun.xml.j2
    dest: /etc/firewalld/services/
    owner: root
    group: root
    mode: 0644
  register: firewalld_srun_service

- name: Firewalld | Reload firewalld
  service:
    name: firewalld
    enabled: yes
    state: reloaded
  when: firewalld_slurmctl_service.changed or firewalld_srun_service.changed

- name: Firewalld | Authorize firewalld slurmctl service
  firewalld:
    zone: public
    service: slurmctl
    state: enabled
    permanent: True
    immediate: True
  when: "'firewalld' in ansible_facts.packages"

- name: Firewalld | Authorize firewalld srun service
  firewalld:
    zone: public
    service: srun
    state: enabled
    permanent: True
    immediate: True
  when: "'firewalld' in ansible_facts.packages"
